(function($){

	$.fn.extend({

		alertBox: function(settings) {

			var defaults = {
				href: null
			};

			var settings = $.extend(defaults, settings);

			return this.each(function() {

				var s = settings;
				showModal();

				function closeModal() {
					$('#alertOverlay, #alertModalOuter').fadeOut(400, function() {
						$(this).remove();
					});
				}

				function showModal() {

					$('body').append('<div id="alertOverlay" />');

					$('body').append('<div id="alertModalOuter"><div id="alertModal"><div id="alert"><p>'+s.message+'</p><a href="#" class="alertButton" id="yes"><span>Закрыть (<div id="counter">10</div>)</span></a><a href="#" class="closeAlertBut"></a></div></div></div>');
					var outer = $('#alertModalOuter');
					outer.hide();

					$('#alertOverlay').fadeIn(300, function() {
						outer.show();
						var modal = $('#alertModal');
						var defWidth = outer.outerWidth();
						var defHeight = outer.outerHeight();

						show();
						function show() {

							var alertBoxContent = $('#alert');

							var alertWidth = alertBoxContent.outerWidth();
							var alertHeight = alertBoxContent.outerHeight();

							var widthCombine = -((defWidth + alertWidth) / 2);
							var heightCombine = -((defHeight + alertHeight) / 2) - 64;

							modal.animate({width: alertWidth, height: alertHeight}, 200);
							outer.animate({marginLeft: widthCombine, marginTop: heightCombine}, 200, function() {
								alertBoxContent.fadeIn(200, function() {
									$('#yes, .closeAlertBut').click(function(e) {
										e.preventDefault();
										closeModal();
									});
								});
							});

							setTimeout(counterDecrease, 1000);
							function counterDecrease() {
								var counter = outer.find('#counter').text().trim();
								counter = counter - 1;
								if (counter <= 0) {
									closeModal();
								} else {
									outer.find('#counter').text(counter);
									setTimeout(counterDecrease, 1000);
								}
							}

						};
					});
				};

			});
		}
	});
})(jQuery);